Skip to main content
PUT
/
v2
/
submission
/
{submission_id}
/
characteristics
Add submission characteristics
curl --request PUT \
  --url https://api.documents.resistant.ai/v2/submission/{submission_id}/characteristics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document_characteristics": {
    "document_type": "unknown",
    "document_type_string": "<string>",
    "issuing_country_code": "<string>",
    "document_id": "<string>",
    "document_filename": "<string>",
    "document_score": "<string>",
    "status": "<string>",
    "document_position_on_image": {
      "corner_1": {
        "x": 123,
        "y": 123
      },
      "corner_2": {
        "x": 123,
        "y": 123
      },
      "corner_3": {
        "x": 123,
        "y": 123
      },
      "corner_4": {
        "x": 123,
        "y": 123
      }
    },
    "source_channel": "api",
    "document_side": "front"
  },
  "device_characteristics": {
    "device_ip_address": "<string>",
    "server_ip_address": "<string>",
    "country_code": "GBR",
    "country_name": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "gcs_latitude": "38.77554692",
    "gcs_longitude": "-75.1396939",
    "isp": "<string>",
    "referer": "<string>",
    "user_agent": "Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0",
    "browser_description": "<string>",
    "device_platform": "<string>",
    "device_language": "en",
    "screen_height": 123,
    "screen_width": 123,
    "device_fingerprint": "<string>"
  },
  "identity_characteristics": {
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>",
    "user_id": "<string>",
    "user_group_id": "<string>",
    "phone_number": "<string>",
    "date_of_birth": "2020-01-30"
  },
  "transaction_characteristics": {
    "amount_usd": 120.5,
    "maturity_days": 60
  },
  "email_characteristics": {
    "originator_address_hashes": [
      "2cf24dba5fb0a30e26e83b2ac5b9e29e1b161e5c1fa7425e73043362938b9824"
    ],
    "originator_domain_hashes": [
      "486ea46224d1bb4fb680f34f7c9ad96a8f24ec88be73ea8e5a6c65260e9cb8a7"
    ],
    "subject_hash": "bbcfcbdecdfec348f558015cc36d01ab27081c2cef9dad3e44d9277b46de2f72",
    "number_of_recipients": 1,
    "recipient_hashes": [
      "486ea46224d1bb4fb680f34f7c9ad96a8f24ec88be73ea8e5a6c65260e9cb8a7"
    ],
    "body_embedding": "<string>",
    "subject_embedding": "<string>"
  },
  "claims_characteristics": {
    "claim_number": "<string>",
    "policy_number": "<string>",
    "insurance_type": "<string>",
    "incident_date": "2020-01-30",
    "reported_date": "2020-01-30",
    "incident_description": "<string>",
    "incident_location": "<string>",
    "claim_value": 1729.2
  },
  "submission_time": "<string>",
  "customer_tenant_id": "<string>",
  "customer_case_id": "<string>"
}
'
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

submission_id
string
required

Body

application/json

Properties associated with the original submission of the document (i.e., from the actual end client).

document_characteristics
Document characteristics · object

Properties associated with the analyzed document.

device_characteristics
Device characteristics · object

Properties associated with the device used to submit the document.

identity_characteristics
User identity characteristics · object

Properties identifying the user who submitted the document.

transaction_characteristics
Characteristics related to a transaction with the user · object

Properties of a transaction between the user and customer, e.g., load or purchase.

email_characteristics
Characteristics related to an email interaction with the user · object

Properties of an email interaction between the user and customer, e.g. email or subject hashes.

claims_characteristics
Insurance claims characteristics · object

Properties of an insurance claim.

submission_time
string | null

Time of document submission by the end user

customer_tenant_id
string | null

Customer-assigned identifier of a customer's tenant (e.g., internal merchant ID). Please ensure the customer_tenant_id of any document is reviewed prior to submission to confirm that no PII is included. The customer_tenant_id is used to separate data by individual customer tenants for monitoring and configuration purposes.

Maximum string length: 1024
customer_case_id
string | null

Customer-assigned identifier of a customer's tenant (e.g., internal case ID). Please ensure the case_id of any document is reviewed prior to submission to confirm that no PII is included. The case_id is used to identify the resubmission of the document.

Maximum string length: 1024

Response

Submission characteristics were submitted successfully